Skip to content
Start here

Create zone environments

zones.environments.create(EnvironmentCreateParams**kwargs) -> EnvironmentCreateResponse
POST/zones/{zone_id}/environments

Create zone environments

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Versioning Write
ParametersExpand Collapse
zone_id: str
environments: Iterable[Environment]
expression: str
locked_on_deployment: Optional[bool]
name: str
position: ListCursorParam
after: Optional[str]
before: Optional[str]
ref: str
version: Optional[int]
formatint64
http_application_id: Optional[str]
ReturnsExpand Collapse
class EnvironmentCreateResponse:
environments: List[Environment]
expression: str
locked_on_deployment: Optional[bool]
name: str
position: ListCursor
after: Optional[str]
before: Optional[str]
ref: str
version: Optional[int]
formatint64
http_application_id: Optional[str]

Create zone environments

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
environment = client.zones.environments.create(
    zone_id="zone_id",
    environments=[{
        "expression": "expression",
        "locked_on_deployment": True,
        "name": "name",
        "position": {},
        "ref": "ref",
        "version": 0,
    }],
)
print(environment.environments)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "environments": [
      {
        "expression": "expression",
        "locked_on_deployment": true,
        "name": "name",
        "position": {
          "after": "yyy",
          "before": "xxx"
        },
        "ref": "ref",
        "version": 0,
        "http_application_id": "http_application_id"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "environments": [
      {
        "expression": "expression",
        "locked_on_deployment": true,
        "name": "name",
        "position": {
          "after": "yyy",
          "before": "xxx"
        },
        "ref": "ref",
        "version": 0,
        "http_application_id": "http_application_id"
      }
    ]
  },
  "success": true
}